
%global meadversion 1.0.0
%global namedversion 1.0.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%{?scl:%scl_package %{?scl_prefix}jboss-jaxws-api_2.3_spec} 
%{!?scl:%global pkg_name %{name}}

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.0.0.Final-redhat-1

Name:           %{?scl_prefix}jboss-jaxws-api_2.3_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java(TM) API for XML-Based Web Services 2.3
Group:          Development/Java

%if %with mead
Source100: jboss-jaxws-api_2.3_spec-1.0.0.Final-redhat-1-scm-sources.zip
Source102: jboss-jaxws-api_2.3_spec-1.0.0.Final-redhat-1-sources.jar
Source103: jboss-jaxws-api_2.3_spec-1.0.0.Final-redhat-1.pom
Source104: jboss-jaxws-api_2.3_spec-1.0.0.Final-redhat-1.jar
Source105: jboss-jaxws-api_2.3_spec-1.0.0.Final-redhat-1-project-sources.tar.gz
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-jaxws-api_spec

BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-jaxws-api_2.3_spec-%{namedversion}-%{release}-root

%description
JSR-000224: Java(TM) API for XML-Based Web Services 2.3.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jaxws-api_2.3_spec
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jaxws-api_2.3_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jaxws-api_2.3_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jaxws-api_2.3_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jaxws-api_2.3_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jaxws-api_2.3_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jaxws-api_2.3_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jaxws-api_2.3_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jaxws-api_2.3_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jaxws-api_2.3_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jaxws-api_2.3_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jaxws-api_2.3_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/jboss-jaxws-api_2.3_spec-%{namedversion}.jar
%{_javadir}/jboss-jaxws-api_2.3_spec.jar
%if %with javadoc
%exclude %{_javadir}/jboss-jaxws-api_2.3_spec-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jboss-jaxws-api_2.3_spec-javadoc.jar
%endif
%{_javadir}/jboss-jaxws-api_2.3_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jaxws-api_2.3_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jaxws-api_2.3_spec-%{namedversion}
%{_javadocdir}/jboss-jaxws-api_2.3_spec
%{_javadir}/jboss-jaxws-api_2.3_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jaxws-api_2.3_spec-javadoc.jar
%endif

%changelog
* Fri Jun 15 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
-  1.0.0.Final-redhat-1 

* Wed Jun 13 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
-  1.0.0.Final-redhat-1 

* Tue Jun 05 2018 Yong Yang <yyang@redhat.com> 0:1.0.0.Final-redhat-1
- 1.0.0.Final-redhat-1
